|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3ListBoxPixmap Class Reference
[Qt3Support module]

The Q3ListBoxPixmap class provides list box items with a pixmap and optional text. More...

     #include <Q3ListBoxPixmap>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3ListBoxItem.

- List of all members, including inherited members

### Public Functions

- Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pixmap )
- Q3ListBoxPixmap ( const QPixmap & pixmap )
- Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pixmap, Q3ListBoxItem * after )
- Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pix, const QString & text )
- Q3ListBoxPixmap ( const QPixmap & pix, const QString & text )
- Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pix, const QString & text, Q3ListBoxItem * after )
- ~Q3ListBoxPixmap ()
- virtual int height ( const Q3ListBox * lb ) const
- virtual const QPixmap * pixmap () const
- virtual int width ( const Q3ListBox * lb ) const

- 14 public functions inherited from Q3ListBoxItem

### Protected Functions

- virtual void paint ( QPainter * painter )

- 3 protected functions inherited from Q3ListBoxItem

## Detailed Description

The Q3ListBoxPixmap class provides list box items with a pixmap and optional text.

Items of this class are drawn with the pixmap on the left with the optional text to the right of the pixmap.

See also Q3ListBox and Q3ListBoxItem.

## Member Function Documentation

### Q3ListBoxPixmap::Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pixmap )

Constructs a new list box item in list box listbox showing the pixmap pixmap.

### Q3ListBoxPixmap::Q3ListBoxPixmap ( const QPixmap & pixmap )

Constructs a new list box item showing the pixmap pixmap.

### Q3ListBoxPixmap::Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pixmap, Q3ListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pixmap. The item gets inserted after the item after, or at the beginning if after is 0.

### Q3ListBoxPixmap::Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pix, const QString & text )

Constructs a new list box item in list box listbox showing the pixmap pix and the text text.

### Q3ListBoxPixmap::Q3ListBoxPixmap ( const QPixmap & pix, const QString & text )

Constructs a new list box item showing the pixmap pix and the text to text.

### Q3ListBoxPixmap::Q3ListBoxPixmap ( Q3ListBox * listbox, const QPixmap & pix, const QString & text, Q3ListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pix and the string text. The item gets inserted after the item after, or at the beginning if after is 0.

### Q3ListBoxPixmap::~Q3ListBoxPixmap ()

Destroys the item.

### int Q3ListBoxPixmap::height ( const Q3ListBox * lb ) const `[virtual]`

Returns the height of the pixmap in list box lb.

Reimplemented from Q3ListBoxItem.

See also paint() and width().

### void Q3ListBoxPixmap::paint ( QPainter * painter ) `[virtual protected]`

Draws the pixmap using painter.

Reimplemented from Q3ListBoxItem.

### const QPixmap * Q3ListBoxPixmap::pixmap () const `[virtual]`

Returns the pixmap associated with the item.

Reimplemented from Q3ListBoxItem.

### int Q3ListBoxPixmap::width ( const Q3ListBox * lb ) const `[virtual]`

Returns the width of the pixmap plus some margin in list box lb.

Reimplemented from Q3ListBoxItem.

See also paint() and height().